"use strict";
/**
 * mplus_modal_medicalrecordrslt
 */
var mplus_modal_medicalrecorddetail = function(){
	// 상속
	mplus_common.call(this);
	
	// 상위 객체 생성
	//var mplusPatient = new mplus_mobile_patient();
	//var mplusNursing = new mplus_nursing();
	
	//super
	var self = this;
	
	//==== 변수 { ====
	//==== 변수 } ====
		
	/**
	 * 초기화
	 */
	this.init = function(param){ //여기서 모든화면 콤보박스데이터를 집어넣자!!! 그래야지 화면이동할때 속도가 오래걸리지않음!!!
		//초기화
		initEmptyData();
		
		// 초기 화면 조건 구성
		// 각 init에서 처리
		//initCondition(param);
		
		// 이벤트 초기화
		addEvent();		
	};
	
	this.initList = function(param){ //여기서 모든화면 콤보박스데이터를 집어넣자!!! 그래야지 화면이동할때 속도가 오래걸리지않음!!!
		this.init();
		initConditionList(param);
	};
	
	this.initContents = function(param){ //여기서 모든화면 콤보박스데이터를 집어넣자!!! 그래야지 화면이동할때 속도가 오래걸리지않음!!!
		this.init();
		initConditionContents(param);
	};
	
	var initEmptyData = function(){
		$("#divMedicalRecordResult").empty();
	}
	
	//==== 초기화 설정 { ====
	var initCondition = function(param){
		
	};
	
	var initConditionList = function(param){
		// 초기 화면 조건 구성
		if(param != null){
			//상단정보
			if(param.medicalRecordFormNm != undefined){
				$("#spanMedicalRecordRsltExamNm").text(param.medicalRecordFormNm);
			}
			
			//진료 기록 상세 조회
			var sendParam = {
					userId:param.userId,
					patientId:param.patientId,
					deptCd:param.deptCd,
					searchCls:param.searchCls,
					medicalRecordSeq:param.medicalRecordSeq
			};
			//console.log(JSON.stringify(sendParam));
			self.medical.getMediRecordDetail(sendParam, processMedicalRecordResult);
		}
	};
	
	var initConditionContents = function(param){
		// 초기 화면 조건 구성
		if(param != null){
			//상단정보
			if(param.medicalRecordFormNm != undefined){
				$("#spanMedicalRecordRsltExamNm").text(param.medicalRecordFormNm);
			}
			
			//진료 기록 내용 상세 조회
			var sendParam = {
					userId:param.userId,
					patientId:param.patientId,
					deptCd:param.deptCd,
					startDt:param.startDt,
					endDt:param.endDt,
					personalRecordYn:param.personalRecordYn,
					medicalRecordFormCd:param.medicalRecordFormCd,
					searchCls:param.searchCls
			};
			//console.log(JSON.stringify(sendParam));
			self.medical.getMediRecordContentDetail(sendParam, processMedicalRecordResult);
		}
	};
	
	var processMedicalRecordResult = function(lists){
		
		if(lists[0].url != null && lists !== undefined){
			$("#divMedicalRecordResult").append(lists[0].url);	// element 추가
		}else{
			self.alert("데이터 오류입니다. 관리자에게 문의하세요.");
		}
	};
	
	//==== 초기화 설정 } ====
	
	//==== 이벤트 설정 { ====
	var addEvent = function(){
		//$("#btnLogout").on("click", function(){
		//	logout();
		//});
		
		eventColumnClick();
		
		eventRowClick();
	};
	
	var eventColumnClick = function(){

	};
	
	var eventRowClick = function(){
		
	};
	//==== 이벤트 설정 } ====
	
	
	//==== 서비스 실행 { ====
	//==== 서비스 실행 { ====
	
};